﻿@model Panier
<div class="container">
    <h5>Recapitulatif Panier</h5>
    <div class="card m-2">
        <div class="card-body">
            <h5 class="card-title">Liste des produits</h5>
            <table class="table">
                <thead>
                    <tr>
                     
                        <th scope="col">Nom</th>
                        <th scope="col">Qte</th>
                        <th scope="col">Prix</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ProductPanier p in Model.ProductPaniers)
                    {
                        <tr>
                         
                            <td>@p.Product.Titre</td>
                            <td>@p.Qty</td>
                            <td>@p.Product.Prix euros</td>
                        </tr>
                    }
                </tbody>
            </table>
            <div class="row">
                <h6>Total :</h6> <div>
                    <span>
                        @if (ViewBag.total != null)
                        {<span>@ViewBag.total <span>euros</span></span>
                    }
                    else
                    {<div>0 euros</div>}
                    </span>
                </div>
            </div>

        </div>
    </div>
    <form enctype="multipart/form-data" asp-controller="Commande" asp-action="ValidationCommande">
        <div class="form-group">
            <label>Moyens de Paiement</label>
            <select class="form-control" name="idPaiement">
                @foreach (MoyenPaiement m in @ViewBag.paiements)
                {
                    <option value="@m.Id">@m.Moyen</option>
                }
            </select>
            <div><button class="btn btn-primary mt-4" type="submit">Valider la Commande</button></div>
            <div><a class="btn btn-warning" asp-controller="Panier" asp-action="ViderPanier">Vider Panier</a></div>
        </div>
    </form>
